Transfer Route Ownership
Transfer ownership (experimental)
Transfers a the ownership of a route to a another space. Users must have write access for both spaces to perform this action. The original owning space will still retain access to the route as a shared space. To completely remove a space from a route, users will have to use unshare route.
Request
URI
PATCH
https://api.example.local/v3/routes/{guid}/relationships/space
COPY
Path Parameters
string
guid
Required
The unique identifier for the resource
Request Body
The space to transfer ownership to
RelationshipToOne
of type(s)
application/json
Required
{
"data": {
"guid": "string"
}
}
object
data
Optional
data
Responses
204
No Content
Operation doesn't return any data structure
401
Unauthorized
Returns
Unauthorized
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
403
Forbidden
Returns
Forbidden
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
404
Not Found
Returns
NotFound
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
422
Unprocessable Entity
Returns
UnprocessableEntity
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
Code Samples
COPY
curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}'
On This Page
Routes Operations
GET
List Routes
POST
Create Route
GET
List Destinations For Route
POST
Insert Destinations For Route
PATCH
Replace Destinations For Route With Patch
PUT
Replace Destinations For Route
PATCH
Update Destination Protocol For Route
DELETE
Remove Destination For Route
GET
List App Routes
GET
Get Route
PATCH
Update Route
DELETE
Delete Route
GET
List Shared Spaces Relationship
POST
Share Route
DELETE
Unshare Route
PATCH
Transfer Route Ownership